Download it now!
Bug 121268 - UI: Cell borders go far beyond the calc cell
Summary: UI: Cell borders go far beyond the calc cell
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Border
  Show dependency treegraph
 
Reported: 2018-11-08 10:29 UTC by Telesto
Modified: 2019-11-10 03:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (14.50 KB, application/vnd.ms-excel)
2018-11-08 10:29 UTC, Telesto
Details
Comparison LibreOffice 6.2 Master and MSO 2010 (20.51 KB, image/png)
2018-11-09 13:02 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-11-08 10:29:02 UTC
Description:
Cell borders go far beyond the calc cell. Slightly depended on type of border and the version of LibreOffice

Hard to tell if this is be design or not.. The same formatting looks at least different in excel.


Steps to Reproduce:
1. Open the attached file in Excel & Calc.


Actual Results:
Border lines are partly drawn outside the calc cell. 

The border with a gap is smaller and looks more like excel in LibreOffice 4.4.7.2 (probably to small). The current spacing between the lines seems to width 

Expected Results:
Drawn inside the table cell


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha1+
Build ID: 6896f39ffd8a6c4b32b8f601a6a93678247456bd
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-05_22:40:18
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Telesto 2018-11-08 10:29:20 UTC
Created attachment 146428 [details]
Example file
Comment 2 raal 2018-11-08 11:46:25 UTC
Confirm with Version: 6.2.0.0.alpha1+
Build ID: 2cef68a605494bcef0388201b1058c95788c45a8
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; and 4.4
Comment 3 Xisco Faulí 2018-11-09 13:02:44 UTC
Created attachment 146498 [details]
Comparison LibreOffice 6.2 Master and MSO 2010
Comment 4 Xisco Faulí 2018-11-09 13:04:27 UTC
Also reproduced in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 QA Administrators 2019-11-10 03:48:38 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug